summaryrefslogtreecommitdiffstats
path: root/test/testssl
diff options
context:
space:
mode:
authorAndy Polyakov <appro@openssl.org>2014-06-11 20:40:51 +0200
committerAndy Polyakov <appro@openssl.org>2014-06-11 20:41:46 +0200
commitd85a772ec3459c8d745a039dafea91d0002db272 (patch)
tree360ad05fdcad26e50fd7a6eca6e42fe07be3ad64 /test/testssl
parentfb2f9f266c2ad95eda756ab8ed1d9d740423a8cf (diff)
Enable multi-block support by default.
(cherry picked from commit 77a27a5066e8c0975d78be635ed356749a6f16db)
Diffstat (limited to 'test/testssl')
-rw-r--r--test/testssl8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/testssl b/test/testssl
index 10a198dd3b..240c8f624d 100644
--- a/test/testssl
+++ b/test/testssl
@@ -206,4 +206,12 @@ else
$ssltest -bio_pair -tls1 -cipher SRP -srpuser test -srppass abc123
fi
+#############################################################################
+# Multi-buffer tests
+
+if [ -z "$extra" -a `uname -m` = "x86_64" ]; then
+ $ssltest -cipher AES128-SHA -bytes 8m || exit 1
+ $ssltest -cipher AES128-SHA256 -bytes 8m || exit 1
+fi
+
exit 0